'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 请假表
const LeaveSchema = {
  studentid: { type: String, required: true, maxLength: 200 }, // 学生id
  starttime: { type: String, required: true, maxLength: 200 }, // 开始时间
  endtime: { type: String, required: true, maxLength: 500 }, // 结束时间
  reason: { type: String, required: false, maxLength: 2000 }, // 请假理由
  ispass: { type: String, required: false, maxLength: 200 }, // 是否通过，0-未通过，1-通过
  refcause: { type: String, required: false, maxLength: 2000 }, // 拒绝原因
};


const schema = new Schema(LeaveSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Leave', schema, 'leave');
};
