/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1578642242928_5726';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8001,
    },
  };

  // config.amqp = {
  //   client: {
  //     hostname: '127.0.0.1',
  //     username: 'visit',
  //     password: 'visit123',
  //     vhost: 'visit',
  //   },
  //   app: true,
  //   agent: true,
  // };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/visit',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
